Player Client System Requirements

Hardware Requirements Notes
Intel Pentium Dual core 2.GHz or above
  • Minimum 1 GHz recommended to support audio playback
Minimum 256 MB RAM
Network connection to the web server via a web browser
Minimum video resolution of 800 x 600 with 16-bit color
  • Minimum of 1024 x 768 is recommended
Minimum 512 kbps connection speed (Recommended 1 mbps)
Speakers or headphones to listen to Dialogue® streaming audio sessions  
A microphone to speak in Dialogue® streaming audio sessions  
Operating Systems
Microsoft® Windows® operating system (32-bit and 64-bit)
  • Includes Microsoft Windows XP Service Pack 3.
  • Vista Business, Home and Ultimate are supported including SP1 with and without Aero active.
  • Vista Enterprise is supported.
  • Excludes Windows NT.
  • Note: Users must have Windows Admin privileges to install desktop applications and plug-ins.
Windows 7
  • 32-bit Internet Explorer 8
  • 32-bit Firefox 3.6
Supported Browsers
Internet Explorer® - 6.x-8.0 Not supported on the Macintosh Operating System
Firefox® - 2.0-4.0.x Not supported on the Macintosh Operating System
Recommended Browser Settings
  • Enable browser caching
  • Enable ActiveX controls and plug-ins in IE 6 and higher
  • Enable Active Scripting and Scripting of Java™ Applets
  • Enable META REFRESH in Internet Explorer™ 6
  • Support JavaScript™ 1.0 and Java™ 1.0.2
  • Support .ZIP, .JAR, or .CAB Java™ Applets
  • Recommended Enable Java™ Console
  • Accept Cookies
  • A browser enabled with a pop-up blocker might interfere with the launch E-Careers Courses. If pop-ups do not display, E-Careers recommends that you set the blocking tool to "Always allow" for Courses . For Dialogue Live, you must enable pop-ups
Third-Party Software and Add-Ons
Minimum Requirements for Plug-Ins
  • The listed plug-ins are not required in all instances; their use depends upon which content is installed.
  • Windows Systems using Firefox require Flash v7.0 r19 or higher
  • Linux Systems using Firefox require Flash v7.0 r25 or higher on
  • Mozilla 1.6 and 1.7.2 require Flash 7.0r19 and r25 or higher, respectively.
JRE Support
Microsoft® JVM™ - Version 5.0.xxxx is supported with Microsoft® Internet Explorer® 6 and greater. For more information, see Statement on Microsoft Java Virtual Machine (MSJVM) Support.
Sun JRE™ with installed JVM™
  • 1.4.2 and all updates
  • 5.0 (1.5.0) and all updates
  • 6.0 (1.6.0) and all updates except u10
  • Download JRE
  • JRE 1.4.2 is known to show benign errors when closing a course. This does not cause any adverse effects to the playability of functionality of the content. Simply click "Ok" to close the message.
  • JRE 5.0_11 and higher is supported on Vista.
  • Microsoft Vista does not support JVM.